<!DOCTYPE html>
<html  >
<head>
  <!-- Site made with Mobirise Website Builder v4.11.5, https://mobirise.com -->
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="generator" content="Mobirise v4.11.5, mobirise.com">
  <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1">
  <link rel="shortcut icon" href="assets/images/artboard-152x138.png" type="image/x-icon">
  <meta name="description" content="Web Site Creator Description">
  
  <title>embedded programming&nbsp;</title>
  <link rel="stylesheet" href="assets/web/assets/mobirise-icons/mobirise-icons.css">
  <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="assets/bootstrap/css/bootstrap-grid.min.css">
  <link rel="stylesheet" href="assets/bootstrap/css/bootstrap-reboot.min.css">
  <link rel="stylesheet" href="assets/tether/tether.min.css">
  <link rel="stylesheet" href="assets/dropdown/css/style.css">
  <link rel="stylesheet" href="assets/theme/css/style.css">
  <link rel="preload" as="style" href="assets/mobirise/css/mbr-additional.css"><link rel="stylesheet" href="assets/mobirise/css/mbr-additional.css" type="text/css">
  
  
  
</head>
<body>
  <section class="menu cid-qTkzRZLJNu" once="menu" id="menu1-ba">

    

    <nav class="navbar navbar-expand beta-menu navbar-dropdown align-items-center navbar-fixed-top navbar-toggleable-sm">
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <div class="hamburger">
                <span></span>
                <span></span>
                <span></span>
                <span></span>
            </div>
        </button>
        <div class="menu-logo">
            <div class="navbar-brand">
                <span class="navbar-logo">
                    <a href="https://mobirise.com">
                         <img src="assets/images/artboard-152x138.png" alt="Mobirise" title="" style="height: 4.3rem;">
                    </a>
                </span>
                <span class="navbar-caption-wrap"><a class="navbar-caption text-white display-2" href="index.html">MDEF</a></span>
            </div>
        </div>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav nav-dropdown nav-right" data-app-modern-menu="true"><li class="nav-item">
                    <a class="nav-link link text-white display-4" href="page1.html"><span class="mbri-edit2 mbr-iconfont mbr-iconfont-btn"></span>
                        
                        Term 1</a>
                </li><li class="nav-item"><a class="nav-link link text-white display-4" href="page14.html"><span class="mbri-edit2 mbr-iconfont mbr-iconfont-btn"></span>
                        
                        Term 2</a></li><li class="nav-item"><a class="nav-link link text-white display-4" href="page38.html"><span class="mbri-edit2 mbr-iconfont mbr-iconfont-btn"></span>
                        
                        Term 3&nbsp;</a></li><li class="nav-item"><a class="nav-link link text-white display-4" href="page55.html"><span class="mbri-hearth mbr-iconfont mbr-iconfont-btn"></span>Final Project</a></li></ul>
            
        </div>
    </nav>
</section>

<section class="engine"><a href="https://mobirise.info/i">free website creation software</a></section><section class="mbr-section content4 cid-rWOvh24crl" id="content4-c2">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-2">Arduino Uno Datasheet&nbsp;</h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-5">Learning about the wonders of Arduino</h3>
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section article content1 cid-rWOyqg8Iuv" id="content1-c6">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p>Arduino Uno is a microcontroller board based on specific microcontroller with a weird name. Along with this microcontroller, it consists of other components such as crystal oscillator, serial communication, voltage regulator to support the microcontroller. Arduino Uno has 14 digital input/output pins, 6 analog input pins, a USB connection, A Power barrel jack, an ICSP header and a reset button.</p><p><br></p></div>
        </div>
    </div>
</section>

<section class="cid-rWOvuhBMGA" id="image1-c3">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 71%;">
            <img src="assets/images/screen-shot-2020-04-21-at-6.57.25-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="cid-rWOw2FDBra" id="image1-c4">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 62%;">
            <img src="assets/images/screen-shot-2020-04-21-at-7.01.27-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="mbr-section article content1 cid-rWOylkoQmY" id="content1-c5">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p><strong><span style="font-size: 1rem;">How to use Arduino Board</span><br></strong></p><p>The 14 digital input/output pins can be used as input or output pins by using pinMode(), digitalRead() and digitalWrite() functions in arduino programming. Each pin operate at 5V and can provide or receive a maximum of 40mA current, and has an internal pull-up resistor of 20-50 KOhms which are disconnected by default.  Out of these 14 pins, some pins have specific functions as listed below:</p><p><span style="font-size: 1rem;">Serial Pins 0 (Rx) and 1 (Tx): Rx and Tx pins are used to receive and transmit TTL serial data. They are connected with the corresponding ATmega328P USB to TTL serial chip.</span><br></p><p>External Interrupt Pins 2 and 3: These pins can be configured to trigger an interrupt on a low value, a rising or falling edge, or a change in value.</p><p>PWM Pins 3, 5, 6, 9 and 11: These pins provide an 8-bit PWM output by using analogWrite() function.</p><p>SPI Pins 10 (SS), 11 (MOSI), 12 (MISO) and 13 (SCK): These pins are used for SPI communication.</p><p>In-built LED Pin 13: This pin is connected with an built-in LED, when pin 13 is HIGH – LED is on and when pin 13 is LOW, its off.</p><p>Along with 14 Digital pins, there are 6 analog input pins, each of which provide 10 bits of resolution, i.e. 1024 different values. They measure from 0 to 5 volts but this limit can be increased by using AREF pin with analog Reference() function. &nbsp;</p><p><span style="font-size: 1rem;">Analog pin 4 (SDA) and pin 5 (SCA) also used for TWI communication using Wire library.</span><br></p><p><strong>Arduino Uno has a couple of other pins as explained below:</strong></p><p><span style="font-size: 1rem;">AREF: Used to provide reference voltage for analog inputs with analogReference() function.</span><br></p><p>Reset Pin: Making this pin LOW, resets the microcontroller.</p><p>&nbsp;</p><p><strong>Communication</strong></p><p>Arduino can be used to communicate with a computer, another Arduino board or other microcontrollers. The ATmega328P microcontroller provides UART TTL (5V) serial communication which can be done using digital pin 0 (Rx) and digital pin 1 (Tx). An ATmega16U2 on the board channels this serial communication over USB and appears as a virtual com port to software on the computer. The ATmega16U2 firmware uses the standard USB COM drivers, and no external driver is needed. However, on Windows, a .inf file is required. The Arduino software includes a serial monitor which allows simple textual data to be sent to and from the Arduino board. There are two RX and TX LEDs on the arduino board which will flash when data is being transmitted via the USB-to-serial chip and USB connection to the computer (not for serial communication on pins 0 and 1). A SoftwareSerial library allows for serial communication on any of the Uno's digital pins. The ATmega328P also supports I2C (TWI) and SPI communication. The Arduino software includes a Wire library to simplify use of the I2C bus.</p><p>Info from:<br><span style="font-size: 1rem;">https://components101.com/microcontrollers/arduino-uno</span></p></div>
        </div>
    </div>
</section>

<section class="mbr-section content4 cid-rW8WfnbbNm" id="content4-bb">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-2">Embedded Programming</h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-5">Program your led with arduino</h3>
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section article content1 cid-rW91kjfvkT" id="content1-bh">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p>For this assignment, the first thing I did was a research on prgramming LEDs in Arduino from different information fonts. Since I dont have any of the materials at home, I read and explore the theory around it.&nbsp;</p><p>The Arduino communicates with modules and sensors by switching on and off electrical current. It’s very similar to the one’s and zero’s in binary code. When current is switched on, it’s known as a “HIGH signal”. That’s comparable to the “one” in binary code. When the current is switched off, that’s a “LOW signal”, which is similar to the zero in binary code. The length of time the current stays on or off can be changed from a microsecond up to many minutes.</p><p>To turn on an LED, the Arduino needs to send a HIGH signal to one of it’s pins. To turn off the LED, it needs to send a LOW signal to the pin. You can make the LED flash by changing the length of the HIGH and LOW states.</p></div>
        </div>
    </div>
</section>

<section class="cid-rW8WGOxh0h" id="image1-bc">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 66%;">
            <img src="assets/images/screen-shot-2020-04-14-at-4.24.05-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="mbr-section content4 cid-rW8XDSnPiX" id="content4-bg">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-5">Arduino and LED programming tutorial&nbsp;<div><br></div></h2>
                
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section article content1 cid-rW9292RnuP" id="content1-bi">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p><strong><span style="font-size: 1rem;">Step 1: The Circuit</span><br></strong></p><p>First, you need to connect the pin on the Arduino to a spot on your breadboard, then your resistor. On the other side of the resistor, insert the LED.</p><p><strong>Step 2: The Code</strong></p><p>The coding is where "the real magic of Arduino happens". This little blue board can be programmed to do almost anything you can think up. The code is fairly simple, but first you need to download the Arduino IDE from their website.</p><p><br></p></div>
        </div>
    </div>
</section>

<section class="cid-rW8XpX2JHF" id="video2-bf">

    
    
    <figure class="mbr-figure align-center container">
        <div class="video-block" style="width: 80%;">
            <div><iframe class="mbr-embedded-video" src="https://www.youtube.com/embed/gVT3jEnOZx0?rel=0&amp;amp;showinfo=0&amp;autoplay=0&amp;loop=0" width="1280" height="720" frameborder="0" allowfullscreen></iframe></div>
        </div>
    </figure>
</section>

<section class="mbr-section content4 cid-rWOkj0QP3a" id="content4-bq">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-2">Doing the blink! (182)</h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-5">Programming the led - <a href="https://juanitapardo.gitlab.io/juanitapardogarcia/LEDBLINK182.ino">File</a></h3>
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section article content1 cid-rWOkHbrZTq" id="content1-bs">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p>The first thing I did for the LED blink 182 was connect and program the arduino board to the programm. I know, Im starting from the ultra basics, but I am there. Once the Arduino was connected, I entered the code I saw on the Arduino page for the LED blink tutorial.&nbsp;</p><p>After connecting the board and inserting the code, I connected the led with the wires, the protoboard and the arduino. Then, I changed the LedPin to the number I connected the cable to, which was 7. Tadan! It worked. After that, I played with the timing of the blink for a while.&nbsp;</p><p>Its important to take in account the direction of the LED on the board aswell as the cables and the resistor.</p></div>
        </div>
    </div>
</section>

<section class="cid-rWOkvJFJRR" id="image1-br">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/screen-shot-2020-04-21-at-5.50.47-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="cid-rWOlWDpvFt" id="image1-bt">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/screen-shot-2020-04-21-at-6.09.07-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="cid-rWOmP2oJ8K" id="image1-bw">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/img-3340.jpg" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="cid-rWOmutIjZy" id="image1-bv">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/screen-shot-2020-04-21-at-6.23.34-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="cid-rWOoOleVhu" id="video2-c0">

    
    
    <figure class="mbr-figure align-center container">
        <div class="video-block" style="width: 81%;">
            <div><iframe class="mbr-embedded-video" src="https://www.youtube.com/embed/Zy3Vsz0KTmY?rel=0&amp;amp;showinfo=0&amp;autoplay=0&amp;loop=0" width="1280" height="720" frameborder="0" allowfullscreen></iframe></div>
        </div>
    </figure>
</section>

<section class="cid-rWOnHyTrkn" id="image1-bx">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/screen-shot-2020-04-21-at-6.28.27-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="cid-rWOoPxPFg3" id="video2-c1">

    
    
    <figure class="mbr-figure align-center container">
        <div class="video-block" style="width: 80%;">
            <div><iframe class="mbr-embedded-video" src="https://www.youtube.com/embed/71-jSPMX054?rel=0&amp;amp;showinfo=0&amp;autoplay=0&amp;loop=0" width="1280" height="720" frameborder="0" allowfullscreen></iframe></div>
        </div>
    </figure>
</section>

<section class="mbr-section content4 cid-rWOOq1caPn" id="content4-c7">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-2">Making two leds blink! (18two!)</h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-5">Yaaas</h3>
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section article content1 cid-rWOOAYPVuG" id="content1-c8">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10">Then I played with the board to make more than one led blink. This might seem simple to you guys, but its a big step in my fab journey, you know :)&nbsp;</div>
        </div>
    </div>
</section>

<section class="cid-rWOPcv1rU8" id="image1-c9">

    

    <figure class="mbr-figure container">
        <div class="image-block" style="width: 80%;">
            <img src="assets/images/screen-shot-2020-04-21-at-8.12.28-pm.png" width="1400" alt="Mobirise" title="">
            
        </div>
    </figure>
</section>

<section class="cid-rWOQOE1bIk" id="video1-ca">

    
    
    <figure class="mbr-figure align-center container">
        <div class="video-block" style="width: 80%;">
            <div><iframe class="mbr-embedded-video" src="https://www.youtube.com/embed/l-SKrUXrPEg?rel=0&amp;amp;showinfo=0&amp;autoplay=0&amp;loop=0" width="1280" height="720" frameborder="0" allowfullscreen></iframe></div>
        </div>
    </figure>
</section>

<section class="mbr-section content4 cid-rW8X5nK9o0" id="content4-bd">

    

    <div class="container">
        <div class="media-container-row">
            <div class="title col-12 col-md-8">
                <h2 class="align-center pb-3 mbr-fonts-style display-2">
                    Referents&nbsp;</h2>
                <h3 class="mbr-section-subtitle align-center mbr-light mbr-fonts-style display-5">Bibliography&nbsp;</h3>
                
            </div>
        </div>
    </div>
</section>

<section class="mbr-section article content1 cid-rW8X6xyqR7" id="content1-be">
    
     

    <div class="container">
        <div class="media-container-row">
            <div class="mbr-text col-12 mbr-fonts-style display-7 col-md-10"><p>https://www.arduino.cc/en/Tutorial-0007/BlinkingLED</p><p>https://www.youtube.com/watch?v=gVT3jEnOZx0</p><p>https://www.circuitbasics.com/arduino-basics-controlling-led/</p><p>https://www.instructables.com/id/Arduino-Blinking-LED/</p><p>https://components101.com/microcontrollers/arduino-uno</p><p><br></p><p><br></p><p><br></p></div>
        </div>
    </div>
</section>


  <script src="assets/web/assets/jquery/jquery.min.js"></script>
  <script src="assets/popper/popper.min.js"></script>
  <script src="assets/bootstrap/js/bootstrap.min.js"></script>
  <script src="assets/tether/tether.min.js"></script>
  <script src="assets/smoothscroll/smooth-scroll.js"></script>
  <script src="assets/dropdown/js/nav-dropdown.js"></script>
  <script src="assets/dropdown/js/navbar-dropdown.js"></script>
  <script src="assets/touchswipe/jquery.touch-swipe.min.js"></script>
  <script src="assets/theme/js/script.js"></script>
  
  
</body>
</html>